<?php
	
	//save variables
	$name = $_GET['name'];
	$cssFile = $_GET['css'];
	$oWidth = $_GET['oWidth'];
	$oThumbs = $_GET['oThumbs'];
	$oThumbW = $_GET['oThumbW'];
	$oThumbH = $_GET['oThumbH'];
	$oButtonColors = $_GET['oButtonColors'];
	$oButtonColorsRoll = $_GET['oButtonColorsRoll'];
	$oThumbColors = $_GET['oThumbColors'];
	$oThumbSymbolColor = $_GET['oThumbSymbolColor'];
	$oThumbsBorder = $_GET['oThumbsBorder'];
	$oBoxBack = $_GET['oBoxBack'];
	$oBoxHolder = $_GET['oBoxHolder'];
	$oBoxPlay = $_GET['oBoxPlay'];
	$oBoxTitle = $_GET['oBoxTitle'];
	$oBoxDesc = $_GET['oBoxDesc'];
	$oBoxMenu = $_GET['oBoxMenu'];
	$oBoxButtons = $_GET['oBoxButtons'];
	$oBoxButtonsRoll = $_GET['oBoxButtonsRoll'];
	$oPreloader = urldecode($_GET['newPreloader']);
	$oIcon = urldecode($_GET['oIcon']);
	
	//open and read css file
	$css = fopen('../css/'.$cssFile, 'r');
	$data = fread($css, filesize('../css/'.$cssFile));
	fclose($css);
	
	//make changes inside the css file
	$data = replaceMark('/*mark1*/', $data, (string)$oWidth.'px');
	$data = replaceMark('/*mark2*/', $data, '#'.(string)$oThumbColors);
	$data = replaceMark('/*mark3*/', $data, (string)($oThumbH+$oThumbsBorder).'px');
	$data = replaceMark('/*mark4*/', $data, (string)($oWidth-$oThumbs+1-($oThumbW*$oThumbs)).'px');
	$data = replaceMark('/*mark5*/', $data, (string)$oThumbH.'px');
	$data = replaceMark('/*mark6*/', $data, (string)$oThumbsBorder.'px');
	$data = replaceMark('/*mark7*/', $data, (string)($oThumbH+$oThumbsBorder+8).'px');
	$data = replaceMark('/*mark8*/', $data, ((string)$oWidth-($oWidth-$oThumbs-($oThumbW*$oThumbs))).'px');
	$data = replaceMark('/*mark9*/', $data, '#'.(string)$oBoxBack);
	$data = replaceMark('/*mark10*/', $data, '#'.(string)$oBoxMenu);
	$data = replaceMark('/*mark11*/', $data, '#'.(string)$oBoxHolder);
	$data = replaceMark('/*mark12*/', $data, '#'.(string)$oBoxDesc);
	$data = replaceMark('/*mark13*/', $data, '#'.(string)$oBoxTitle);
	$data = replaceMark('/*mark14*/', $data, '#'.(string)$oBoxPlay);
	$data = replaceMark('/*mark15*/', $data, (string)ceil($oThumbH/2-5).'px');
	$data = replaceMark('/*mark16*/', $data, (string)ceil($oThumbW/2-10).'px');
	
	if($oIcon == 'false' || $oIcon == false){
		$data = replaceMark('/*mark4*/', $data, '0');
		$data = replaceMark('/*mark20*/', $data, 'none');
	} else {
		$data = replaceMark('/*mark20*/', $data, 'inline');
	}
	
	//save and close css file
	$css = fopen('../css/'.$cssFile, 'w');
	fwrite($css, $data);
	fclose($css);
	
	//change preloader
	if($oPreloader != ""){
		copy($oPreloader, '../images/preloader.gif');
	}
	
	//save buttons rgb values
	$oButtonColorsRGB = HexToRGB($oButtonColors);
	$oButtonColorsRollRGB = HexToRGB($oButtonColorsRoll);
	$oBoxButtonsRGB = HexToRGB($oBoxButtons);
	$oBoxButtonsRollRGB = HexToRGB($oBoxButtonsRoll);
	
	//tint buttons and symbols
	tintColor('../images/originals/btnThumbsOriginal.png', '../images/btnThumbs.png', $oButtonColorsRGB);
	tintColor('../images/originals/btnThumbsOriginal.png', '../images/btnThumbsHover.png', $oButtonColorsRollRGB);
	tintColor('../images/originals/btnOriginal.png', '../images/btnSprite.png', $oBoxButtonsRGB);
	tintColor('../images/originals/btnOriginal.png', '../images/btnSpriteHover.png', $oBoxButtonsRollRGB);
	tintColor('../images/originals/photo_icon1.png', '../images/photo_icon1.png', $oButtonColorsRGB);
	tintColor('../images/originals/photo_icon2.png', '../images/photo_icon2.png', HexToRGB($oThumbSymbolColor));
	
	//make an array with new values
	$newSkin = $name.';'.$cssFile.';'.$oWidth.';'.$oThumbW.';'.$oThumbH.';'.$oThumbs.';'.$oButtonColors.';'.$oButtonColorsRoll.';'.$oThumbColors.';'.$oBoxBack.';'.$oBoxHolder.';'.$oBoxTitle.';'.$oBoxDesc.';'.$oBoxMenu.';'.$oBoxButtons.';'.$oBoxButtonsRoll.';'.$oThumbSymbolColor.';'.$oThumbsBorder.';'.$oBoxPlay.';'.$oIcon;
	
	//update skin in the table
	require_once('../../../../wp-load.php' );
    $table = $wpdb->prefix."db_minimy";
	$query = $wpdb->query("UPDATE $table SET `skin` = '$newSkin' WHERE options = '$cssFile';");
	
	//function that takes a hexadecimal value and returns the color in a rgb format
	function HexToRGB($hex) {
	
		$color = array();
		 
		$color['r'] = hexdec(substr($hex, 0, 2));
		$color['g'] = hexdec(substr($hex, 2, 2));
		$color['b'] = hexdec(substr($hex, 4, 2));
		 
		return $color;
		
	}
	
	//function that tints an image to a specified color and outputs the result
	function tintColor($original, $output, $color) {
	
		$image = imagecreatefrompng($original);
		
		imagealphablending($image, false);
		imagesavealpha($image, true);
	
		imagefilter($image, IMG_FILTER_COLORIZE, $color['r'], $color['g'], $color['b'], 0);
		
		imagepng($image, $output);
	
	}
	
	//function that replaces something in a text file, after a given mark
	function replaceMark($mark, $text, $replacement){
	
		$position = strpos($text, $mark);
		return str_replace(substr($text, $position, strpos($text, '/*e', $position)-$position), $mark.$replacement, $text);
	
	}
	
?>